export default {
  namespaced: true,
  state: {
    resourceCode: ''
  },
  actions: {
    /**
     * @description 设置
     * @param {Object} state vuex state
     * @param {String} resourceCode
     */
    set ({ state, dispatch }, resourceCode) {
      return new Promise(async resolve => {
        state.resourceCode = resourceCode
      })
    }
  }
}
